Parameters
JSON body
Request body
application/jsontypeCodestringRequiredurlTemplatestringRequiredLength: 0–2000
filenameTemplatestring | nullOptionalOne of 2:
Variant 1
string
Length: 0–255
Variant 2
null
sampleValuesobjectOptionalFills the address with sample values, downloads it once and reports file name, type and size. Nothing is stored or sent.
JSON body
typeCodestringRequiredurlTemplatestringRequiredfilenameTemplatestring | nullOptionalsampleValuesobjectOptional1 status code documented
okbooleanRequiredurlstring | nullRequiredfilenamestring | nullRequiredcontentTypestring | nullRequiredsizenumber | nullRequirederrorstring | nullRequired{
"ok": false
}POST /bff/emailer/template-url-attachment-test
curl -X POST "https://api.bizkithub.com/bff/emailer/template-url-attachment-test" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{
"typeCode": "example_typeCode",
"urlTemplate": "example_urlTemplate",
"sampleValues": {}
}'All BizKitHub public API endpoints require authentication via API key.